Apache Solr ENABLE_REMOTE_JMX_OPTS JMX-RMI Remote Code Execution Exploit

Apache Solr is prone to a remote vulnerability that allows attackers to take advantage of an insecure deployment of the JMX/RMI service used to manage and monitor the Java Virtual Machine. By exploiting known methods, it is possible to remotely load an MLet file from an attacker controlled web server that points at a jar file.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2019-12409
Released Date: 
Tuesday, November 26, 2019 - 18:00